<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="AssessmentCriteria"   package="performa.orm">
        <IMPORT value="performa.orm.types.*"/>    

        <TABLE  name="tl_assessment_criteria"   tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="Name"             type="String"           dbcol="name"            length="200"    mandatory="true"/>
            <ATTRIB name="Importance"       type="Importance"       dbcol="importance"      attribHelper="EnumeratedAttributeHelper"    mandatory="true"/>
            <ATTRIB name="CriteriaType"     type="CriteriaType"     dbcol="assessment_type" attribHelper="EnumeratedAttributeHelper"    mandatory="true"/>

            <SINGLEREFERENCE    name="Job"  type="Job"              dbcol="job_id"          mandatory="true"    backreferenceName="AssessmentCriterias"/>

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_assessment_criteria.object_id is not null"  orderBy="tl_assessment_criteria.object_id"   />
            
    </BUSINESSCLASS>
    
</ROOT>